Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## transformation.associationtags
Class DiagramExtension

    java.lang.Object
      transformation.associationtags.DiagramExtension

    public class DiagramExtension

extends java.lang.Object

Constructor Summary
`DiagramExtension(DiagramPresentationElement diagramPE)` Collects the names of actions on the UMLsec model and activity partition names as potential roles

Method Summary
`Comment` | `addTagComment(java.util.List<AssociationTag> tags)` Adds a comment to the UMLsec diagram, containing information on association tags
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` | `getPartitionActionsMap()`
`java.util.List<java.lang.String>` | `getProtectedActionList()`
`java.util.List<java.lang.String>` | `getRoleList()`
`Comment` | `getTagComment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagramExtension

    public DiagramExtension(DiagramPresentationElement diagramPE)

  Collects the names of actions on the UMLsec model and activity partition names as potential roles

  Parameters:
    `diagramPE` - The UMLsec diagram

Method Detail

### getTagComment

    public Comment getTagComment()

  Returns:
    The Comment element on the UMLsec model, containing information on association tags

### addTagComment

    public Comment addTagComment(java.util.List<AssociationTag> tags)

  Adds a comment to the UMLsec diagram, containing information on association tags

  Parameters:
    `tags` - List of UMLsec association tags

### getProtectedActionList

    public java.util.List<java.lang.String> getProtectedActionList()

### getRoleList

    public java.util.List<java.lang.String> getRoleList()

### getPartitionActionsMap

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> getPartitionActionsMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD